当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 15 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 错误: 错误的架构 'i386'
帖子发表于 : 2009-10-10 16:55 
头像

注册: 2009-08-03 20:25
帖子: 77
送出感谢: 0 次
接收感谢: 0 次
系统内核:Linux ubuntu90464 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009 x86_64 GNU/Linux
64位
在腾讯官方下载了linuxqq_v1.0.2-beta1_i386.deb安装包双击安装提示如下:
错误: 错误的架构 'i386'
查看了论坛找到如下方法:
首先安张32位库
sudo apt-get install ia32-libs*
sudo apt-get install getlibs #如果没有,到这个地址下http://frozenfox.freehostia.com/cappy/
安装完成后,就可以安装32位包了,但是!只能在命令行模式安装,而且要加上--force-architecture 参数,例如:
$ sudo dpkg -i --force-architecture linuxqq_v1.0.2-beta1_i386.deb

出现如下警告,但能顺利安装!

dpkg - 警告,由于您打开了 --force 选项,我忽略了一些问题的存在:
软件包的体系架构(i386)与本机系统的架构(amd64)不符
选中了曾被取消选择的软件包 linuxqq。
(正在读取数据库 ... 系统当前总共安装有 105521 个文件和目录。)
正在解压缩 linuxqq (从 linuxqq_v1.0.2-beta1_i386.deb) ...
正在设置 linuxqq (v1.0.2-beta1) ...


_________________
好好折腾。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 错误: 错误的架构 'i386'
帖子发表于 : 2009-10-10 17:02 
头像

注册: 2008-10-24 22:02
帖子: 5853
地址: 浙江
送出感谢: 0 次
接收感谢: 3
viewtopic.php?f=73&t=193003&start=0
7#
装了以后你会失望的、、
webQQ


_________________
http://sb.google.com/ 提问前 请在右上角搜索一下
请不要跨省追捕!水表在门外。谢谢! 大家一起twitter


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 错误: 错误的架构 'i386'
帖子发表于 : 2009-10-10 17:04 
头像

注册: 2008-11-21 20:26
帖子: 36913
送出感谢: 1
接收感谢: 36
linuxQQ,不装也罢


_________________
讨厌我的人可以试着点一下
浏览全部ubuntu技巧


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 错误: 错误的架构 'i386'
帖子发表于 : 2009-10-16 23:59 
头像

注册: 2009-03-30 17:02
帖子: 120
送出感谢: 0 次
接收感谢: 0 次
Eva听不错 :em04


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 错误: 错误的架构 'i386'
帖子发表于 : 2009-10-17 0:07 
头像

注册: 2008-04-07 17:36
帖子: 4010
地址: 泰安人在阜新
送出感谢: 0 次
接收感谢: 0 次
好久没用了

qq4mac更新没?


_________________
宇宙数学物理 sssssssss Ubuntu 桌面培训 sssssssss 问打包的问题之前先看
和我一样的新手请看,我看过了,腰不酸了,腿不疼了,上楼也有劲了
想去IRC的点这里——一个比QQ群好N多的东西


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 错误: 错误的架构 'i386'
帖子发表于 : 2009-10-18 0:29 
头像

注册: 2009-08-03 20:25
帖子: 77
送出感谢: 0 次
接收感谢: 0 次
jmlk 写道:
Eva听不错 :em04

EVA 不是在KDE下的吗?Ubuntu支持吗


_________________
好好折腾。


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 错误: 错误的架构 'i386'
帖子发表于 : 2009-10-18 15:52 
头像

注册: 2009-08-09 17:34
帖子: 300
送出感谢: 0 次
接收感谢: 0 次
64位你下xxx_i386.deb干吗!那是32位的
64位你要下xxx__amd64.deb


_________________
淡定,不要听风就是雨。淡定是一种境界,是一种超然世外的意识。只有修养达到一定阶段,才能产生并拥有。拥有了淡定,就拥有了风度。于是淡定便成了一种气质,让我辈无论如何努力和奋斗,始终难望其项背。淡定需要时间和实践的积淀和净化,是一种拨云见日,是一种豁然开朗!君子坦荡荡,小人长戚戚。愿我们除了自卑多了自由,少了忙乱多了从容,去了怨恨多了温煦,戒了偏激多了沉着。一切在淡定中发展,在淡定中凯旋。


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 错误: 错误的架构 'i386'
帖子发表于 : 2009-10-24 20:37 
头像

注册: 2009-08-03 20:25
帖子: 77
送出感谢: 0 次
接收感谢: 0 次
mm740 写道:
64位你下xxx_i386.deb干吗!那是32位的
64位你要下xxx__amd64.deb

是吧


_________________
好好折腾。


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 错误: 错误的架构 'i386'
帖子发表于 : 2009-10-24 20:55 
头像

注册: 2008-04-07 17:36
帖子: 4010
地址: 泰安人在阜新
送出感谢: 0 次
接收感谢: 0 次
没有64位的

直接强制安装32位的


_________________
宇宙数学物理 sssssssss Ubuntu 桌面培训 sssssssss 问打包的问题之前先看
和我一样的新手请看,我看过了,腰不酸了,腿不疼了,上楼也有劲了
想去IRC的点这里——一个比QQ群好N多的东西


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 错误: 错误的架构 'i386'
帖子发表于 : 2010-07-17 1:37 

注册: 2010-07-17 1:36
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
按照楼主的方法,我的显示是:
dpkg:处理 linuxqq_v1.0.2-beta1_i386.deb (--install)时出错:
无法访问打包文件:没有那个文件或目录
在处理时有错误发生:
linuxqq_v1.0.2-beta1_i386.deb

请问楼主这是什么原因?


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 错误: 错误的架构 'i386'
帖子发表于 : 2010-07-17 1:49 
头像

注册: 2008-03-25 15:49
帖子: 25876
地址: 谁知道?
送出感谢: 8
接收感谢: 10
回楼上
引用:
无法访问打包文件:没有那个文件或目录


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 错误: 错误的架构 'i386'
帖子发表于 : 2010-08-07 2:49 

注册: 2010-08-07 2:45
帖子: 9
送出感谢: 0 次
接收感谢: 0 次
强制安装确实是可以的,论坛里搜索下,我也忘了在哪看到有这个帖子。。


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 错误: 错误的架构 'i386'
帖子发表于 : 2010-08-17 13:17 
头像

注册: 2008-09-29 2:29
帖子: 32
送出感谢: 0 次
接收感谢: 0 次
没必要。直接用系统自带的那个通讯了


页首
 用户资料  
 
14 楼 
 文章标题 : Re: 错误: 错误的架构 'i386'
帖子发表于 : 2011-01-07 13:26 

注册: 2011-01-07 13:21
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
can not access achive: no such file or directory 怎么解决啊。。。哪位大大帮帮我这个菜鸟。。。。。 :em20


页首
 用户资料  
 
15 楼 
 文章标题 : Re: 错误: 错误的架构 'i386'
帖子发表于 : 2011-01-09 22:21 
头像

注册: 2008-10-13 9:56
帖子: 166
地址: 中国
送出感谢: 2
接收感谢: 0 次
论坛里有64位的qq的,搜索一下。webqq是比较好的办法。 :em09


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 15 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译